FLANG

Classes | Public Types | Static Public Attributes | List of all members
Fortran::evaluate::TypeOfHelper< CONST > Struct Template Reference

## Classes
struct | Predicate

## Public Types
using | type = std::conditional_t< index >=0, std::tuple_element_t< index, AllIntrinsicTypes >, void >

## Static Public Attributes
static constexpr int | index

## Member Data Documentation

## ◆ index

template<typename CONST >

constexpr int Fortran::evaluate::TypeOfHelper< CONST >::index
| static constexpr

Initial value:
{
common::SearchMembers<Predicate, AllIntrinsicTypes>}

The documentation for this struct was generated from the following file:

- include/flang/Evaluate/type.h